All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Interface TableElementInterface

All Known Implementing Classes:
  Cell, CellSelection, CellVector, CellVectorSelection, Column, ColumnSelection, DataCell, LabelCell, Row, RowSelection, Selection, TableElement

    public interface TableElementInterface

Defines a common interface to TableView's cells, columns, and rows.

See Also:
  `TableElement`

Field Summary
`static int` | `REFRESH_ALL` Composite bitmask of all the other REFRESH_* bit-flags.
`static int` | `REFRESH_DATA` Bitflag for flags parameter to refresh method which indicates that any data associated with the element should be reread from the table's model.
`static int` | `REFRESH_DATA_STYLE` Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element's data should be reread from the table's model.
`static int` | `REFRESH_LABEL` Bitflag for flags parameter to refresh method which indicates that any label(s) associated with the element should be reread from the table's model.
`static int` | `REFRESH_LABEL_STYLE` Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element's label(s) should be reread from the table's model.
`static int` | `REFRESH_STYLE` Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element itself (not its data or label) should be reread from the table's model.

Method Summary
`abstract TableView` | `getTableView()` Returns the instance of the TableView class that contains this element.
`abstract boolean` | `isDisplayed()` Returns true if the element is shown in the table's current view, and false otherwise, i.e. if the table has to be scrolled to see it.
`abstract boolean` | `isModified()` Returns true if the element's data has been changed and is thus out-of-sync with the corresponding data maintained by the table's model, and returns false otherwise.
`abstract boolean` | `isSelected()` Returns true if the element has been selected in the table, and false otherwise.
`abstract void` | `refresh(int flags)` Refreshes the element to its state as maintained by the table's model.
`abstract void` | `repaint()` Repaints the element.

Field Detail

### REFRESH_DATA

    static final int REFRESH_DATA

  Bitflag for flags parameter to refresh method which indicates that any data associated with the element should be reread from the table's model.

  See Also:
    Constant Field Values

### REFRESH_LABEL

    static final int REFRESH_LABEL

  Bitflag for flags parameter to refresh method which indicates that any label(s) associated with the element should be reread from the table's model.

  See Also:
    Constant Field Values

### REFRESH_DATA_STYLE

    static final int REFRESH_DATA_STYLE

  Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element's data should be reread from the table's model.

  See Also:
    Constant Field Values

### REFRESH_LABEL_STYLE

    static final int REFRESH_LABEL_STYLE

  Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element's label(s) should be reread from the table's model.

  See Also:
    Constant Field Values

### REFRESH_STYLE

    static final int REFRESH_STYLE

  Bitflag for flags parameter to refresh method which indicates that any style(s) associated with the element itself (not its data or label) should be reread from the table's model.

  See Also:
    Constant Field Values

### REFRESH_ALL

    static final int REFRESH_ALL

  Composite bitmask of all the other REFRESH_* bit-flags.

  See Also:
    Constant Field Values

Method Detail

### getTableView

    TableView getTableView()

  Returns the instance of the TableView class that contains this element.

  Returns:
    The value of the tableView property (will never be null).

### isDisplayed

    boolean isDisplayed()

  Returns true if the element is shown in the table's current view, and false otherwise, i.e. if the table has to be scrolled to see it.

  Returns:
    The value of the displayed property.

### isModified

    boolean isModified()

  Returns true if the element's data has been changed and is thus out-of-sync with the corresponding data maintained by the table's model, and returns false otherwise.

  Returns:
    The value of the modified property.

### isSelected

    boolean isSelected()

  Returns true if the element has been selected in the table, and false otherwise.

  Returns:
    The value of the selected property.

### refresh

    void refresh(int flags)

  Refreshes the element to its state as maintained by the table's model. What gets refreshed -- data and/or style information -- is controlled by "flags". Includes a call to repaint.

  Parameters:
    `flags` - Bitmask of REFRESH_* bitflags.

### repaint

    void repaint()

  Repaints the element. Nothing happens if displayed is false.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.